Nom du paquet
squid
Date
2004-09-15
Advisory ID
MDKSA-2004:093
Affected versions
10.0 amd64 , 9.2 i586 , 10.0 i586 , 9.2 amd64

Problem description

A vulnerability in the NTLM helpers in squid 2.5 could allow for malformed NTLMSSP packets to crash squid, resulting in a DoS. The provided packages have been patched to prevent this problem.

Updated packages

10.0 amd64

 48a9ee3a6e7b427240fc35a04b569b06  amd64/10.0/RPMS/squid-2.5.STABLE4-2.1.100mdk.amd64.rpm
92bc96caf7e5ccaed6250833b8c4dcdc  amd64/10.0/SRPMS/squid-2.5.STABLE4-2.1.100mdk.src.rpm

9.2 i586

 ad5b562c41b764f1807bcfa4203b7f22  9.2/RPMS/squid-2.5.STABLE3-3.3.92mdk.i586.rpm
72d8e8215f7da363d28883f4a4a6d13b  9.2/SRPMS/squid-2.5.STABLE3-3.3.92mdk.src.rpm

10.0 i586

 a97e24902f95afb896e1387124be81cd  10.0/RPMS/squid-2.5.STABLE4-2.1.100mdk.i586.rpm
92bc96caf7e5ccaed6250833b8c4dcdc  10.0/SRPMS/squid-2.5.STABLE4-2.1.100mdk.src.rpm

9.2 amd64

 ef8de99bad97ad623f584fcf4eaa3962  amd64/9.2/RPMS/squid-2.5.STABLE3-3.3.92mdk.amd64.rpm
72d8e8215f7da363d28883f4a4a6d13b  amd64/9.2/SRPMS/squid-2.5.STABLE3-3.3.92mdk.src.rpm

References